NX Open C++ Reference Guide
|
Represents a Annotations::ArbitraryAreaSeedBuilder
To create a new instance of this class, use Annotations::PmiManager::CreateArbitraryAreaSeedBuilder
Created in NX6.0.0.
More...
Public Member Functions | |
NXOpen::SelectDisplayableObjectList * | SelectFace () |
Returns the select face Created in NX6.0.0. | |
void | SetSpecifyPoint (NXOpen::Point *specifyPoint) |
Sets the specify point Created in NX6.0.0. | |
NXOpen::SelectDisplayableObjectList * | SpecifyCurves () |
Returns the specify curves Created in NX6.0.0. | |
NXOpen::Point * | SpecifyPoint () |
Returns the specify point Created in NX6.0.0. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Annotations::ArbitraryAreaSeedBuilder
To create a new instance of this class, use Annotations::PmiManager::CreateArbitraryAreaSeedBuilder
Created in NX6.0.0.
NXOpen::SelectDisplayableObjectList* NXOpen::Annotations::ArbitraryAreaSeedBuilder::SelectFace | ( | ) |
Returns the select face
Created in NX6.0.0.
License requirements : None
void NXOpen::Annotations::ArbitraryAreaSeedBuilder::SetSpecifyPoint | ( | NXOpen::Point * | specifyPoint | ) |
Sets the specify point
Created in NX6.0.0.
License requirements : geometric_tol ("GDT")
specifyPoint | specifypoint |
NXOpen::SelectDisplayableObjectList* NXOpen::Annotations::ArbitraryAreaSeedBuilder::SpecifyCurves | ( | ) |
Returns the specify curves
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Annotations::ArbitraryAreaSeedBuilder::SpecifyPoint | ( | ) |
Returns the specify point
Created in NX6.0.0.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.